- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup Struct Reference

List of all members.

## Detailed Description

Setup information for the head of the browser.

Definition at line 331 of file CPresetBrowser.hpp.

## Public Attributes

- IImage * m_bankComboDownImage
- CRect m_bankComboRect
- IImage * m_bankComboUpImage
- IImage * m_loadButtonDownImage
- CRect m_loadButtonRect
- IImage * m_loadButtonUpImage
- CSystemString m_rootPath
- IImage * m_saveButtonDownImage
- CRect m_saveButtonRect
- IImage * m_saveButtonUpImage
- CAlphaColour m_textColour
- CFont * m_theFont

## Member Data Documentation

IImage* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_bankComboDownImage

Combo box down image

Definition at line 340 of file CPresetBrowser.hpp.

CRect Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_bankComboRect

Size of combo for the head

Definition at line 333 of file CPresetBrowser.hpp.

IImage* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_bankComboUpImage

Combo box up image

Definition at line 339 of file CPresetBrowser.hpp.

IImage* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_loadButtonDownImage

Load button down image

Definition at line 344 of file CPresetBrowser.hpp.

CRect Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_loadButtonRect

Size of the load button for the head

Definition at line 334 of file CPresetBrowser.hpp.

IImage* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_loadButtonUpImage

Load button up image

Definition at line 343 of file CPresetBrowser.hpp.

CSystemString Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_rootPath

Root path, nothing higher than this can be traversed by the selector

Definition at line 337 of file CPresetBrowser.hpp.

IImage* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_saveButtonDownImage

Save button down image

Definition at line 342 of file CPresetBrowser.hpp.

CRect Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_saveButtonRect

Size of the save button for the head

Definition at line 335 of file CPresetBrowser.hpp.

IImage* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_saveButtonUpImage

Save button up image

Definition at line 341 of file CPresetBrowser.hpp.

CAlphaColour Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_textColour

Colour of the text for the selector

Definition at line 347 of file CPresetBrowser.hpp.

CFont* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserHead::SPresetBrowserHeadSetup::m_theFont

Font for the selector

Definition at line 346 of file CPresetBrowser.hpp.